import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/pu/ownershipClose/list',
    method: 'get',
    params: query
  })
}

// 详细
export function detail(id) {
  return request({
    url: '/pu/ownershipClose/' + id,
    method: 'get'
  })
}

// 新增
export function insert(data) {
  return request({
    url: '/pu/ownershipClose',
    method: 'post',
    data: data
  })
}

// 修改
export function update(data) {
  return request({
    url: '/pu/ownershipClose',
    method: 'put',
    data: data
  })
}

// 删除
export function del(id) {
  return request({
    url: '/pu/ownershipClose/' + id,
    method: 'delete'
  })
}

// 物料一级分类列表
export function oneClassList() {
  return request({
    url: '/pu/ownershipClose/oneClassList',
    method: 'get',
  })
}

